Page MenuHomePhabricator

Special:LinkSearch display links to pages with namespaces in the interface language instead of the content language
Closed, ResolvedPublic

Description

On MediaWiki.org, which has content language as english, if your preferences are in other language or you use the ?uselang=xx parameter to the URL to change the interface language, links to wiki pages that are on non-main namespace, display the link with the namespace in the interface language instead of the wiki's language. That looks very weird.

The link points to the correct page, though. It's just the text of it which is messed up.

For example, perform a search and have some results in pages other than the main namespace. On interface language "pl" it displays links to "Talk:Download from SVN" as "Dyskusja:Download from SVN".


Version: 1.23.0
Severity: minor
URL: https://www.mediawiki.org/wiki/Special:LinkSearch/svn.wikimedia.org?uselang=pl

Details

Reference
bz64064

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 3:14 AM
bzimport set Reference to bz64064.
bzimport added a subscriber: Unknown Object (MLST).

Looks like a "feature" of the new TitleFormatter (I8eef5a165de4ffcacfbc4911fdacdb15d502fff4)

AYUSH added a subscriber: AYUSH.Mar 31 2015, 10:23 AM

Change 200843 had a related patch set uploaded (by AYUSH GARG):
Special:LinkSearch: display links to pages in content language

https://gerrit.wikimedia.org/r/200843

Change 200843 merged by jenkins-bot:
Special:LinkSearch: display links to pages in content language

https://gerrit.wikimedia.org/r/200843

Ciencia_Al_Poder closed this task as Resolved.Apr 1 2015, 6:44 PM
Ciencia_Al_Poder assigned this task to AYUSH.
Ciencia_Al_Poder set Security to None.
Ciencia_Al_Poder removed subscribers: gerritbot, Unknown Object (MLST).